Problem updating npm


(Hollusion) #1

While trying to update npm via: sudo npm install npmjs.com/get-npm -g

0 info it worked if it ends with ok
1 verbose cli [ ‘/usr/bin/node’,
1 verbose cli ‘/usr/local/bin/npm’,
1 verbose cli ‘install’,
1 verbose cli ‘npmjs.com/get-npm’,
1 verbose cli ‘-g’ ]
2 info using npm@6.4.1
3 info using node@v8.10.0
4 verbose npm-session a905ecbf7c37aebd
5 silly install loadCurrentTree
6 silly install readGlobalPackageData
7 silly fetchPackageMetaData error for github:npmjs.com/get-npm Error while executing:
7 silly fetchPackageMetaData /usr/bin/git ls-remote -h -t ssh://git@github.com/npmjs.com/get-npm.git
7 silly fetchPackageMetaData
7 silly fetchPackageMetaData git@github.com: Permission denied (publickey).
7 silly fetchPackageMetaData fatal: Could not read from remote repository.
7 silly fetchPackageMetaData
7 silly fetchPackageMetaData Please make sure you have the correct access rights
7 silly fetchPackageMetaData and the repository exists.
7 silly fetchPackageMetaData
7 silly fetchPackageMetaData exited with error code: 128
8 timing stage:rollbackFailedOptional Completed in 1ms
9 timing stage:runTopLevelLifecycles Completed in 2089ms
10 verbose stack Error: exited with error code: 128
10 verbose stack at ChildProcess. (/usr/local/lib/node_modules/npm/node_modules/pacote/lib/util/finished.js:12:19)
10 verbose stack at emitTwo (events.js:126:13)
10 verbose stack at ChildProcess.emit (events.js:214:7)
10 verbose stack at maybeClose (internal/child_process.js:925:16)
10 verbose stack at Process.ChildProcess._handle.onexit (internal/child_process.js:209:5)
11 verbose cwd /home/erdem/Work/miadb
12 verbose Linux 4.15.0-34-generic
13 verbose argv “/usr/bin/node” “/usr/local/bin/npm” “install” “npmjs.com/get-npm” “-g”
14 verbose node v8.10.0
15 verbose npm v6.4.1
16 error Error while executing:
16 error /usr/bin/git ls-remote -h -t ssh://git@github.com/npmjs.com/get-npm.git
16 error
16 error git@github.com: Permission denied (publickey).
16 error fatal: Could not read from remote repository.
16 error
16 error Please make sure you have the correct access rights
16 error and the repository exists.
16 error
16 error exited with error code: 128
17 verbose exit [ 1, true ]


(Markus Tacker) #2

You update npm like this: sudo npm i -g npm@


(Hollusion) #3

That worked. Thank you. I tried the other command because doing a “npm s package” search told me so.


(system) #4

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.